Subject: Re: FSL USB in 2.6.37

From: Anatolij Gustschin <[email-masked]>
Date: Tue, 15 Feb 2011 19:18:56 +0100

On Tue, 15 Feb 2011 10:47:17 -0700
Gary Thomas <[email-masked]> wrote:

> I'm trying to get my platform support working in mainline
> 2.6.37.  I have a MPC8379 which is working well in 2.6.32.
> 
> When I just move my platform to the new kernel, everything
> works except for USB host mode.  Nothing special about my
> platform - it's pretty much like the FSL eval boards (as
> far as this part is concerned).  I can see it start up,
> claim to power up the internal hub, but I never see the
> state change interrupt from the hub.
> 
> Are there any known gotchas here?  Any ideas?

Does this patch [1] help?

[1] http://patchwork.ozlabs.org/patch/78260/